VTK: vtkLabelHierarchy::Implementation::LabelSet Class Reference

| VTK 9.3.1

Public Member Functions | Public Attributes | List of all members
vtkLabelHierarchy::Implementation::LabelSet Class Reference

`#include <vtkLabelHierarchyPrivate.h>`

Inherits std::multiset< vtkIdType, PriorityComparator >.

## Public Member Functions
| LabelSet (vtkLabelHierarchy *hierarchy)
| LabelSet (const LabelSet &src)
| LabelSet ()
LabelSet & | operator= (const LabelSet &rhs)
const double * | GetCenter () const
double | GetSize () const
void | SetGeometry (const double center[3], double length)
void | SetChildGeometry (octree< LabelSet, 2 >::octree_node_pointer self)
void | SetChildGeometry (octree< LabelSet, 3 >::octree_node_pointer self)
void | AddChildren (octree< LabelSet, 2 >::octree_node_pointer self, LabelSet &emptyNode)
void | AddChildren (octree< LabelSet, 3 >::octree_node_pointer self, LabelSet &emptyNode)
void | Insert (vtkIdType anchor)
void | Increment ()
vtkIdType | GetLocalAnchorCount () const
vtkIdType | GetTotalAnchorCount () const

## Public Attributes
vtkIdType | TotalAnchors
double | Center [3]
double | Size

## Detailed Description

Definition at line 81 of file vtkLabelHierarchyPrivate.h.

## Constructor & Destructor Documentation

## ◆ LabelSet() [1/3]

vtkLabelHierarchy::Implementation::LabelSet::LabelSet | ( | vtkLabelHierarchy * | hierarchy | ) |
| inline

Definition at line 84 of file vtkLabelHierarchyPrivate.h.

## ◆ LabelSet() [2/3]

vtkLabelHierarchy::Implementation::LabelSet::LabelSet | ( | const LabelSet & | src | ) |
| inline

Definition at line 95 of file vtkLabelHierarchyPrivate.h.

## ◆ LabelSet() [3/3]

vtkLabelHierarchy::Implementation::LabelSet::LabelSet | ( |  | ) |
| inline

Definition at line 106 of file vtkLabelHierarchyPrivate.h.

## Member Function Documentation

## ◆ operator=()

LabelSet& vtkLabelHierarchy::Implementation::LabelSet::operator= | ( | const LabelSet & | rhs | ) |
| inline

Definition at line 116 of file vtkLabelHierarchyPrivate.h.

## ◆ GetCenter()

const double* vtkLabelHierarchy::Implementation::LabelSet::GetCenter | ( |  | ) | const
| inline

Definition at line 130 of file vtkLabelHierarchyPrivate.h.

## ◆ GetSize()

double vtkLabelHierarchy::Implementation::LabelSet::GetSize | ( |  | ) | const
| inline

Definition at line 131 of file vtkLabelHierarchyPrivate.h.

## ◆ SetGeometry()

void vtkLabelHierarchy::Implementation::LabelSet::SetGeometry | ( | const double | center[3],
|  | double | length
| ) |  |
| inline

Definition at line 193 of file vtkLabelHierarchyPrivate.h.

## ◆ SetChildGeometry() [1/2]

void vtkLabelHierarchy::Implementation::LabelSet::SetChildGeometry | ( | octree< LabelSet, 2 >::octree_node_pointer | self | ) |
| inline

Definition at line 203 of file vtkLabelHierarchyPrivate.h.

## ◆ SetChildGeometry() [2/2]

void vtkLabelHierarchy::Implementation::LabelSet::SetChildGeometry | ( | octree< LabelSet, 3 >::octree_node_pointer | self | ) |
| inline

Definition at line 219 of file vtkLabelHierarchyPrivate.h.

## ◆ AddChildren() [1/2]

void vtkLabelHierarchy::Implementation::LabelSet::AddChildren | ( | octree< LabelSet, 2 >::octree_node_pointer | self,
|  | LabelSet & | emptyNode
| ) |  |
| inline

Definition at line 234 of file vtkLabelHierarchyPrivate.h.

## ◆ AddChildren() [2/2]

void vtkLabelHierarchy::Implementation::LabelSet::AddChildren | ( | octree< LabelSet, 3 >::octree_node_pointer | self,
|  | LabelSet & | emptyNode
| ) |  |
| inline

Definition at line 241 of file vtkLabelHierarchyPrivate.h.

## ◆ Insert()

void vtkLabelHierarchy::Implementation::LabelSet::Insert | ( | vtkIdType | anchor | ) |
| inline

Definition at line 137 of file vtkLabelHierarchyPrivate.h.

## ◆ Increment()

void vtkLabelHierarchy::Implementation::LabelSet::Increment | ( |  | ) |
| inline

Definition at line 142 of file vtkLabelHierarchyPrivate.h.

## ◆ GetLocalAnchorCount()

vtkIdType vtkLabelHierarchy::Implementation::LabelSet::GetLocalAnchorCount | ( |  | ) | const
| inline

Definition at line 143 of file vtkLabelHierarchyPrivate.h.

## ◆ GetTotalAnchorCount()

vtkIdType vtkLabelHierarchy::Implementation::LabelSet::GetTotalAnchorCount | ( |  | ) | const
| inline

Definition at line 144 of file vtkLabelHierarchyPrivate.h.

## Member Data Documentation

## ◆ TotalAnchors

vtkIdType vtkLabelHierarchy::Implementation::LabelSet::TotalAnchors

Definition at line 146 of file vtkLabelHierarchyPrivate.h.

## ◆ Center

double vtkLabelHierarchy::Implementation::LabelSet::Center[3]

Definition at line 147 of file vtkLabelHierarchyPrivate.h.

## ◆ Size

double vtkLabelHierarchy::Implementation::LabelSet::Size

Definition at line 148 of file vtkLabelHierarchyPrivate.h.

The documentation for this class was generated from the following file:

- Rendering/Label/vtkLabelHierarchyPrivate.h